unit rptmod;

interface

uses
  SysUtils, Classes, DB, DBClient, QGraphics, XReport;

type
  TReportModule = class(TDataModule)
    DCountry: TDataSource;
    QCountry: TClientDataSet;
    SimpleRpt: TXReport;
    QCustomers: TClientDataSet;
    QOrders: TClientDataSet;
    QOrdersOrderNo: TFloatField;
    QOrdersCustNo: TFloatField;
    QOrdersSaleDate: TDateTimeField;
    QOrdersShipDate: TDateTimeField;
    QOrdersEmpNo: TIntegerField;
    QOrdersShipToContact: TStringField;
    QOrdersShipToAddr1: TStringField;
    QOrdersShipToAddr2: TStringField;
    QOrdersShipToCity: TStringField;
    QOrdersShipToState: TStringField;
    QOrdersShipToZip: TStringField;
    QOrdersShipToCountry: TStringField;
    QOrdersShipToPhone: TStringField;
    QOrdersShipVIA: TStringField;
    QOrdersPO: TStringField;
    QOrdersTerms: TStringField;
    QOrdersPaymentMethod: TStringField;
    QOrdersItemsTotal: TCurrencyField;
    QOrdersTaxRate: TFloatField;
    QOrdersFreight: TCurrencyField;
    QOrdersAmountPaid: TCurrencyField;
    QOrderscompany: TStringField;
    QOrdersSalesPersonLastName: TStringField;
    QOrdersSalesPersonFirstName: TStringField;
    QItems: TClientDataSet;
    QItemsOrderNo: TFloatField;
    QItemsItemNo: TFloatField;
    QItemsPartNo: TFloatField;
    QItemsQty: TIntegerField;
    QItemsDiscount: TFloatField;
    QItemsDescription: TStringField;
    QItemsShellPrice: TFloatField;
    QItemsExtPrice: TFloatField;
    QParts: TClientDataSet;
    QEmployee: TClientDataSet;
    DItems: TDataSource;
    DOrders: TDataSource;
    DCustomers: TDataSource;
    CustReport: TXReport;
    OrdReport: TXReport;
    InvReport: TXReport;
    DBioLife: TDataSource;
    QBioLife: TClientDataSet;
    BioReport: TXReport;
    BasicMD: TXReport;
    AdvMD: TXReport;
    QSDL: TClientDataSet;
    DSDL: TDataSource;
    BordeRpt: TXReport;
    MultiCol: TXReport;
    CompRep: TXReport;
    procedure QItemsCalcFields(DataSet: TDataSet);
    procedure AdvMDItems15AfterPrint(Sender: TObject);
    procedure AdvMDItems17AfterPrint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ReportModule: TReportModule;

implementation

{$R *.xfm}

procedure TReportModule.QItemsCalcFields(DataSet: TDataSet);
begin
QItemsExtPrice.AsFloat:=QItemsQty.AsFloat*QItemsShellPrice.AsFloat*
                        (100-QItemsDiscount.AsFloat)/100;
end;

procedure TReportModule.AdvMDItems15AfterPrint(Sender: TObject);
begin
AdvMD.LabelByName('LB_ORDER').Enabled:=True;
AdvMD.LabelByName('LB_DATE').Enabled:=True;
end;

procedure TReportModule.AdvMDItems17AfterPrint(Sender: TObject);
begin
AdvMD.LabelByName('LB_ORDER').Enabled:=False;
AdvMD.LabelByName('LB_DATE').Enabled:=False;
with AdvMD.ShapeByName('SH_Gray').Brush do
  if Color = clSilver then
    Color := $00E0E0E0
  else
    Color := clSilver;
end;

end.
