// Borland C++ Builder
// Copyright (c) 1995, 2002 by Borland Software Corporation
// All rights reserved

// (DO NOT EDIT: machine generated header) 'Barcode.pas' rev: 6.00

#ifndef BarcodeHPP
#define BarcodeHPP

#pragma delphiheader begin
#pragma option push -w-
#pragma option push -Vx
#include <Classes.hpp>	// Pascal unit
#include <QGraphics.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Barcode
{
//-- type declarations -------------------------------------------------------
#pragma option push -b-
enum TBarcodeType { bcCode_2_5_interleaved, bcCode_2_5_industrial, bcCode_2_5_matrix, bcCode39, bcCode39Extended, bcCode128A, bcCode128B, bcCode128C, bcCode93, bcCode93Extended, bcCodeMSI, bcCodePostNet, bcCodeCodabar, bcCodeEAN8, bcCodeEAN13, bcCodeUPC_A, bcCodeUPC_E0, bcCodeUPC_E1, bcCodeUPC_Supp2, bcCodeUPC_Supp5, bcCodeEAN128A, bcCodeEAN128B, bcCodeEAN128C };
#pragma option pop

#pragma option push -b-
enum TBarLineType { white, black, black_half };
#pragma option pop

#pragma option push -b-
enum TBarcodeOption { bcoNone, bcoCode, bcoTyp, bcoBoth };
#pragma option pop

#pragma option push -b-
enum TShowTextPosition { stpTopLeft, stpTopRight, stpTopCenter, stpBottomLeft, stpBottomRight, stpBottomCenter };
#pragma option pop

#pragma option push -b-
enum TCheckSumMethod { csmNone, csmModulo10 };
#pragma option pop

class DELPHICLASS TAsBarcode;
class PASCALIMPLEMENTATION TAsBarcode : public Classes::TComponent 
{
	typedef Classes::TComponent inherited;
	
private:
	int FHeight;
	AnsiString FText;
	int FTop;
	int FLeft;
	int FModul;
	double FRatio;
	TBarcodeType FTyp;
	bool FCheckSum;
	TBarcodeOption FShowText;
	double FAngle;
	Qgraphics::TColor FColor;
	Qgraphics::TColor FColorBar;
	TCheckSumMethod FCheckSumMethod;
	Classes::TNotifyEvent FOnChange;
	Shortint modules[4];
	Qgraphics::TFont* FShowTextFont;
	TShowTextPosition FShowTextPosition;
	void __fastcall OneBarProps(char code, int &Width, TBarLineType &lt);
	void __fastcall DoLines(AnsiString data, Qgraphics::TCanvas* Canvas);
	AnsiString __fastcall SetLen(Byte pI);
	AnsiString __fastcall Code_2_5_interleaved();
	AnsiString __fastcall Code_2_5_industrial();
	AnsiString __fastcall Code_2_5_matrix();
	AnsiString __fastcall Code_39();
	AnsiString __fastcall Code_39Extended();
	AnsiString __fastcall Code_128();
	AnsiString __fastcall Code_93();
	AnsiString __fastcall Code_93Extended();
	AnsiString __fastcall Code_MSI();
	AnsiString __fastcall Code_PostNet();
	AnsiString __fastcall Code_Codabar();
	AnsiString __fastcall Code_EAN8();
	AnsiString __fastcall Code_EAN13();
	AnsiString __fastcall Code_UPC_A();
	AnsiString __fastcall Code_UPC_E0();
	AnsiString __fastcall Code_UPC_E1();
	AnsiString __fastcall Code_Supp5();
	AnsiString __fastcall Code_Supp2();
	AnsiString __fastcall GetTypText();
	void __fastcall MakeModules(void);
	void __fastcall SetModul(int v);
	int __fastcall GetWidth(void);
	void __fastcall SetWidth(int Value);
	AnsiString __fastcall DoCheckSumming(const AnsiString data);
	void __fastcall SetRatio(const double Value);
	void __fastcall SetTyp(const TBarcodeType Value);
	void __fastcall SetAngle(const double Value);
	void __fastcall SetText(const AnsiString Value);
	void __fastcall SetShowText(const TBarcodeOption Value);
	void __fastcall SetTop(const int Value);
	void __fastcall SetLeft(const int Value);
	void __fastcall SetCheckSum(const bool Value);
	void __fastcall SetHeight(const int Value);
	int __fastcall GetCanvasHeight(void);
	int __fastcall GetCanvasWidth(void);
	void __fastcall SetShowTextFont(const Qgraphics::TFont* Value);
	void __fastcall SetShowTextPosition(const TShowTextPosition Value);
	
protected:
	AnsiString __fastcall MakeData();
	virtual void __fastcall DoChange(void);
	
public:
	__fastcall virtual TAsBarcode(Classes::TComponent* Owner);
	__fastcall virtual ~TAsBarcode(void);
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	void __fastcall DrawBarcode(Qgraphics::TCanvas* Canvas);
	void __fastcall DrawText(Qgraphics::TCanvas* Canvas);
	__property int CanvasHeight = {read=GetCanvasHeight, nodefault};
	__property int CanvasWidth = {read=GetCanvasWidth, nodefault};
	
__published:
	__property int Height = {read=FHeight, write=SetHeight, nodefault};
	__property AnsiString Text = {read=FText, write=SetText};
	__property int Top = {read=FTop, write=SetTop, nodefault};
	__property int Left = {read=FLeft, write=SetLeft, nodefault};
	__property int Modul = {read=FModul, write=SetModul, nodefault};
	__property double Ratio = {read=FRatio, write=SetRatio};
	__property TBarcodeType Typ = {read=FTyp, write=SetTyp, default=0};
	__property bool Checksum = {read=FCheckSum, write=SetCheckSum, default=0};
	__property TCheckSumMethod CheckSumMethod = {read=FCheckSumMethod, write=FCheckSumMethod, default=1};
	__property double Angle = {read=FAngle, write=SetAngle};
	__property TBarcodeOption ShowText = {read=FShowText, write=SetShowText, default=0};
	__property Qgraphics::TFont* ShowTextFont = {read=FShowTextFont, write=SetShowTextFont};
	__property TShowTextPosition ShowTextPosition = {read=FShowTextPosition, write=SetShowTextPosition, default=0};
	__property int Width = {read=GetWidth, write=SetWidth, stored=false, nodefault};
	__property Qgraphics::TColor Color = {read=FColor, write=FColor, default=16777215};
	__property Qgraphics::TColor ColorBar = {read=FColorBar, write=FColorBar, default=0};
	__property Classes::TNotifyEvent OnChange = {read=FOnChange, write=FOnChange};
};


//-- var, const, procedure ---------------------------------------------------

}	/* namespace Barcode */
using namespace Barcode;
#pragma option pop	// -w-
#pragma option pop	// -Vx

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// Barcode
